Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.transaction
Class JoinableCMTTransaction

    java.lang.Object
      org.hibernate.transaction.CMTTransaction
          org.hibernate.ejb.transaction.JoinableCMTTransaction

All Implemented Interfaces:
  org.hibernate.Transaction

    public class JoinableCMTTransaction

extends org.hibernate.transaction.CMTTransaction

Implements a joinable transaction. Until the transaction is marked for joined, the TM.isTransactionInProgress() must return false

Author:
  Emmanuel Bernard

Nested Class Summary
`static class` | `JoinableCMTTransaction.JoinStatus`

Field Summary

Fields inherited from class org.hibernate.transaction.CMTTransaction
`jdbcContext, transactionContext`

Constructor Summary
`JoinableCMTTransaction(org.hibernate.jdbc.JDBCContext jdbcContext, org.hibernate.transaction.TransactionFactory.Context transactionContext)`

Method Summary
`void` | `begin()`
`void` | `commit()`
`JoinableCMTTransaction.JoinStatus` | `getStatus()`
`boolean` | `isTransactionInProgress(org.hibernate.jdbc.JDBCContext jdbcContext, org.hibernate.transaction.TransactionFactory.Context transactionContext)`
`void` | `markForJoined()`
`void` | `resetStatus()`

Methods inherited from class org.hibernate.transaction.CMTTransaction
`getTransaction, isActive, registerSynchronization, rollback, setTimeout, wasCommitted, wasRolledBack`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JoinableCMTTransaction

    public JoinableCMTTransaction(org.hibernate.jdbc.JDBCContext jdbcContext,
                                  org.hibernate.transaction.TransactionFactory.Context transactionContext)

Method Detail

### isTransactionInProgress

    public boolean isTransactionInProgress(org.hibernate.jdbc.JDBCContext jdbcContext,
                                           org.hibernate.transaction.TransactionFactory.Context transactionContext)

### begin

    public void begin()
               throws org.hibernate.HibernateException

  Specified by:
    `begin` in interface `org.hibernate.Transaction`
  Overrides:
    `begin` in class `org.hibernate.transaction.CMTTransaction`
  Throws:
    `org.hibernate.HibernateException`

### commit

    public void commit()
                throws org.hibernate.HibernateException

  Specified by:
    `commit` in interface `org.hibernate.Transaction`
  Overrides:
    `commit` in class `org.hibernate.transaction.CMTTransaction`
  Throws:
    `org.hibernate.HibernateException`

### getStatus

    public JoinableCMTTransaction.JoinStatus getStatus()

### resetStatus

    public void resetStatus()

### markForJoined

    public void markForJoined()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD